<!DOCTYPE html>
<html lang="en">
<head>
    <title class="title">Welcome to Car Rental</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{{ url_for('static', filename='style.css') }}">
    <!-- Include jQuery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <!-- Include jQuery UI -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
</head>
<body>
    {% for car_type in car_types %}
    <div class="car-type-block">
        <h2>{{ car_type }}</h2>
        <!-- Display the image for the current car type -->
        <img src="{{ car_type_images[car_type] }}" alt="{{ car_type }}" style="width:100%; height:auto;">
        <div class="dropdown">
            <select class="car-dropdown" data-type="{{ car_type }}">
                <option value="" selected>Select a car</option>
                {% for car in cars %}
                {% if car.type == car_type %}
                <option value="{{ car.brand }}">{{ car.brand }} {{ car.model }} ({{ car.year }})</option>
                {% endif %}
                {% endfor %}
            </select>
        </div>
    </div>
    {% endfor %}
</body>


    <form id="rent-form" action="/rent" method="post" style="display: none;">
        <input type="hidden" id="selected-car" name="car_id">
        <input type="submit" value="Submit">
    </form>

    <script>
        // Script for handling car selection and form submission
        document.querySelectorAll('.car-dropdown').forEach(function(select) {
            select.addEventListener('change', function() {
                var selectedCar = this.value;
                document.getElementById('selected-car').value = selectedCar;
                document.getElementById('rent-form').style.display = 'block';
            });
        });
    </script>
</body>
</html>
